### Enumeration

# Aravis GvPacketSizeAdjustment

#### Declaration

    enum Aravis.GvPacketSizeAdjustment

#### Description

No description available.

#### Members

`ARV_GV_PACKET_SIZE_ADJUSTMENT_NEVER`

  Never adjust packet size.

  - Value: `0`
  - Available since: 0.8
`ARV_GV_PACKET_SIZE_ADJUSTMENT_ON_FAILURE_ONCE`

  Adjust packet size if test packet check fails the with current packet size, only on the first stream creation.

  - Value: `1`
  - Available since: 0.8
`ARV_GV_PACKET_SIZE_ADJUSTMENT_ON_FAILURE`

  Adjust packet size if test packet check fails with current packet size.

  - Value: `2`
  - Available since: 0.8
`ARV_GV_PACKET_SIZE_ADJUSTMENT_ONCE`

  Adjust packet size on the first stream creation.

  - Value: `3`
  - Available since: 0.8
`ARV_GV_PACKET_SIZE_ADJUSTMENT_ALWAYS`

  Always adjust the stream packet size.

  - Value: `4`
  - Available since: 0.8
`ARV_GV_PACKET_SIZE_ADJUSTMENT_DEFAULT`

  Default adjustment, which is ON_FAILURE_ONCE (Since 0.8.8).

  - Value: `1`
  - Available since: 0.8